# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.22.5-76.fc7}

%define kmod_name fsaa1655g
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
# xen uses a different version; ignore
#define xenvar xen
# don't build for debug kernels
#define debugvar debug PAE-debug
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}


Name:           fsaa1655g-kmod
Version:        1.0
Release:        1.%(echo %{kverrel} | tr - _)
Summary:        The FSC Amilo A1655G uses only software switch to turn the radio on/off.

Group:          System Environment/Kernel
License:        GPL
URL:            http://www.marvec.org/amilo/
Source0:        http://www.marvec.org/amilo/fsaa1655g.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       fsaa1655g-kmod-common = %{version}
ExclusiveArch:  i586 i686 x86_64

%description
This package contains kernel drivers for fsaa1655g.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
%setup -q -c -n fsaa1655g
find fsaa1655g \( -name "*.c" -o -name "*.h" \) -exec sed -i "s|#include <linux/config.h>|#include <linux/autoconf.h>|g" {} \;
for kvariant in %{kvariants}; do
    cp -a fsaa1655g _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
pushd _kmod_build_$kvariant
make \
  KDIR=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu} 	\
  CURRENT=%{kverrel}${kvariant} 						\
  DEST=/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
install -D -m 0644 _kmod_build_$kvariant/*.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jan  1 2007 kwizart < kwizart at gmail .com > - 1.0-1
- Initial release with help from: 
See http://forums.fedora-fr.org/viewtopic.php?id=16978
